Skip to navigation

Update Customer Settings per Channel

Update the customer settings per channel

Required Fields

  • channel_id: Provide a channel_id array containing one or more channel IDs. Customers will have access to these channels and no others. This array cannot be empty.

Notes

  • Setting null will delete override per given channel, and values will be inherited from the global level. Make sure the channel has allow_global_logins enabled.

Authentication

X-Auth-Tokenstring

OAuth scopes

UI NamePermissionParameter
Customersmodifystore_v2_customers
Customersread-onlystore_v2_customers_read_only
Stored Payment Instrumentsmodifystore_stored_payment_instruments
Stored Payment Instrumentsread-onlystore_stored_payment_instruments_read_only

Authentication header

HeaderArgumentDescription
X-Auth-Tokenaccess_tokenFor more about API accounts that generate access_tokens, see our Guide to API Accounts.

Further reading

For example requests and more information about authenticating BigCommerce APIs, see Authentication and Example Requests.

For more about BigCommerce OAuth scopes, see our Guide to API Accounts.

For a list of API status codes, see API Status Codes.

Path parameters

channel_idintegerRequired
The ID of the channel.
store_hashstringRequired
Permanent ID of the BigCommerce store.

Request

This endpoint expects an object.
privacy_settingsobjectOptional
Controls the privacy settings.
customer_group_settingsobjectOptional
The settings for a collection of customers.
allow_global_loginsbooleanOptional
  • Determines if a channel allows global customer to login
  • Determines if customers created on this channel will get global access/login

Response

Customer settings are returned.
dataobjectOptional
Customer Settings.
metaobjectOptional